
QGIS Application - Bug report #8186

 Fail to make spatial index for shapefile, with Japanese string in the file name

2013-06-27 11:49 PM - yoichi Kayama

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 17004

Description

after load shapefile that filename contain Japanese string, when make spatial index at the property dialog, fail.

In directory name with some Japanese character, but all file name are ascii, make spatial index was success.

Only fail file name with some Japanese character ,to make spatial index.

Here is log messeage

OGR

3

error  1 Layer ‹Œ’¬‘º not recognised.

Related issues:

Related to QGIS Application - Bug report # 8197: Fail to install vc++2005 run... Closed 2013-06-28

Related to QGIS Application - Bug report # 8187: Fail to install plugins onli... Closed 2013-06-28

Duplicates QGIS Application - Bug report # 7794: Fail create a spatial index ... Closed 2013-05-09

History

#1 - 2013-06-27 11:53 PM - yoichi Kayama

I found this problem in binary from OSGeo4w dev . code revision commit:0cac8b4

#2 - 2013-06-29 04:08 AM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

#3 - 2013-07-06 10:06 PM - kosuke ASAHI

- Status changed from Closed to Reopened

QGIS code version d37e03b from OSGeo4W, we still have same problem.

#4 - 2013-07-06 11:29 PM - Jürgen Fischer

- Status changed from Reopened to Closed

kosuke ASAHI wrote:

QGIS code version d37e03b from OSGeo4W, we still have same problem.
but it's still a duplicate of #7794
